#
# spec file for package ypbind (Version 1.19.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ypbind
BuildRequires:  openslp-devel
License:        GPL
Group:          Productivity/Networking/NIS
Requires:       portmap yp-tools
Provides:       ypclient ypclient:/usr/sbin/ypbind
Obsoletes:      ypclient
Autoreqprov:    on
PreReq:         %insserv_prereq %fillup_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        1.19.1
Release:        14.4
URL:            http://www.linux-nis.org/nis/ypbind-mt
Summary:        NIS client daemon
Source:         ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypbind-mt-%{version}.tar.bz2
Source1:        sysconfig.ypbind
Source2:        HOWTO.SuSE
Source3:        README.NetworkManager
#Patch:        ypbind-mt-%{version}.dif

%description
This package provides the ypbind daemon. The ypbind daemon binds NIS
clients to an NIS domain and searches a new NIS server if the old one
goes down.

Ypbind must be running on any machines which are running NIS client
programs.



Authors:
--------
    Thorsten Kukuk <kukuk@suse.de>

%debug_package
%prep
%setup -n ypbind-mt-%{version}
#%patch

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/var/yp/binding
make install DESTDIR=$RPM_BUILD_ROOT
# Install init script
install -m 755 etc/ypbind.init $RPM_BUILD_ROOT/etc/init.d/ypbind
# Install rc.config add-on
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/var/adm/fillup-templates/
# Install SuSEconfig.ypclient
ln -sf /etc/init.d/ypbind $RPM_BUILD_ROOT/usr/sbin/rcypbind
# Create dummy yp.conf
touch $RPM_BUILD_ROOT/etc/yp.conf
# Create filelist with translatins
%{find_lang} ypbind-mt

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv ypbind}

%preun
%stop_on_removal ypbind
if [ "$1" = "0" ]; then
   rm -f var/yp/binding/*
fi
exit 0

%postun
%restart_on_update ypbind
%insserv_cleanup
exit 0

%files -f ypbind-mt.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO $RPM_SOURCE_DIR/HOWTO.SuSE $RPM_SOURCE_DIR/README.NetworkManager
%ghost %config(noreplace) /etc/yp.conf
%config /etc/init.d/ypbind
/var/adm/fillup-templates/sysconfig.ypbind
%doc %{_mandir}/man5/yp.conf.5.gz
%doc %{_mandir}/man8/ypbind.8.gz
/usr/sbin/rcypbind
/usr/sbin/ypbind
#%dir /usr/share/locale/de
#%dir /usr/share/locale/de/LC_MESSAGES
#/usr/share/locale/de/LC_MESSAGES/ypbind-mt.mo
%dir /var/yp
%dir /var/yp/binding

%changelog -n ypbind
* Wed May 17 2006 - seife@suse.de
- Add README.NetworkManager [#175935]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 05 2005 - kukuk@suse.de
- Update to 1.19.1 (fix crash in debug code)
* Fri Jul 01 2005 - kukuk@suse.de
- Update to 1.19 (Make error handling more robust)
* Fri Oct 15 2004 - kukuk@suse.de
- Update to 1.18 (Add -ping-interval option) [Bug #47278]
* Thu Apr 29 2004 - kukuk@suse.de
- Update to 1.17.3 (fix SLP URL parsing)
* Sat Feb 14 2004 - kukuk@suse.de
- Update to 1.17.2 (SLP URL changed)
* Fri Feb 13 2004 - kukuk@suse.de
- Update to 1.17 (SLP support added)
* Mon Jan 12 2004 - adrian@suse.de
- build as user
* Fri Jan 09 2004 - kukuk@suse.de
- Update to 1.15 (-local-only/-p bug fixes)
* Tue Aug 26 2003 - kukuk@suse.de
- Update to 1.14 (ypset bug fixes)
* Fri Aug 15 2003 - kukuk@suse.de
- Add ServiceRestart tag to sysconfig [Bug #28964]
* Tue Jul 29 2003 - kukuk@suse.de
- Use new stop_on_removal/restart_on_upate macros
* Tue Jul 29 2003 - kukuk@suse.de
- Fix postun/preun scripts
* Mon Jul 28 2003 - kukuk@suse.de
- Don't remove binding files on update
- Stop daemon on uninstall
- Restart daemon on update
* Tue Jun 10 2003 - kukuk@suse.de
- Update to ypbind-mt 1.13
- Use %%find_lang
* Tue May 13 2003 - kukuk@suse.de
- Add defattr
* Fri Jan 17 2003 - kukuk@suse.de
- Add sysconfig meta data [Bug #22706]
- Check every second if NIS server is online (make booting faster)
* Thu Aug 01 2002 - kukuk@suse.de
- Add PreRequires for fillup and insserv
* Thu Jul 18 2002 - kukuk@suse.de
- init script: ypserv is should-start, not required.
* Mon May 27 2002 - kukuk@suse.de
- Update to ypbind 1.12 (Add broadcast option to yp.conf)
* Fri Apr 05 2002 - kukuk@suse.de
- Update to ypbind 1.11 (fixes deadlock if one host is not
  resolveable), add more sysconfig options (local-only, broadcast)
* Sat Feb 16 2002 - kukuk@suse.de
- Add /etc/yp.conf as ghost config file
* Fri Jan 25 2002 - kukuk@suse.de
- init script:
  * redirect error messages of ypdomainname to /dev/null
  * Check, if /etc/defaultdomain contains a domainname
* Wed Jan 23 2002 - kukuk@suse.de
- Source correct sysconfig file in init script
* Fri Jan 11 2002 - kukuk@suse.de
- Remove all YP variables except the options for ypbind from
  rc.config
- Remove SuSEconfig.ypclients
* Tue Dec 04 2001 - kukuk@suse.de
- If no YP_SERVER is set, print warning and use broadcast
* Tue Dec 04 2001 - kukuk@suse.de
- Remove START variable
- Check, if portmapper is already running
- Add variable for additional ypbind parameters
* Tue Oct 30 2001 - kukuk@suse.de
- Update to ypbind-mt 1.10 (locale fixes)
* Mon Oct 29 2001 - kukuk@suse.de
- Update to ypbind-mt 1.9 (major bug fixes in thread and signal
  handling)
* Tue Sep 25 2001 - ro@suse.de
- preserve permissions in SuSEconfig.ypclient
* Tue Aug 14 2001 - kukuk@suse.de
- Fix some race conditions in ypbind-mt
- Fix setlocale() call
* Tue Jul 31 2001 - kukuk@suse.de
- Also add a "+" to /etc/shadow if somebody really uses shadow over NIS
* Thu Apr 12 2001 - kukuk@suse.de
- Remove configure patch to work with new gettext
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Mar 21 2001 - kukuk@suse.de
- Update to ypbind-mt-1.8
* Wed Jan 24 2001 - kukuk@suse.de
- Provide ypclient
* Thu Nov 30 2000 - kukuk@suse.de
- skip start of ypbind if not configured, don't die silently
* Thu Nov 30 2000 - ro@suse.de
- startscript from sbin to etc
* Fri Nov 24 2000 - kukuk@suse.de
- New, reworked init script
- Some more bug fixes
* Wed Nov 22 2000 - kukuk@suse.de
- ypbind must be stopped before portmap
* Tue Nov 21 2000 - kukuk@suse.de
- Use new init script
* Thu Nov 02 2000 - kukuk@suse.de
- New version, split from ypclient
